# Copyright (c) 2007-2010 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

%define _name		gst-fluendo-mp3
%define gst_branch	0.10
%define _prefix		/usr

Name:			gstreamer-0_10-fluendo-mp3
Version:		0.10.16
Release:		1.1
Summary:		Fluendo GStreamer plug-in for mp3 support
Group:			Productivity/Multimedia/Other
License:		GPL/LGPL/MPL/MIT
URL:			http://www.fluendo.com/
Source:			http://core.fluendo.com/gstreamer/src/gst-fluendo-mp3/%{_name}-%{version}.tar.bz2
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	gcc-c++
BuildRequires:	gstreamer-0_10-devel
BuildRequires:	liboil-devel
BuildRequires:	pkgconfig
BuildRequires:	valgrind
Requires:		gstreamer-0_10 >= %(rpm -q --queryformat '%{VERSION}' gstreamer-0_10)
# Name up to 10.3:
Provides:		gstreamer010-fluendo-mp3 = %{version}
Obsoletes:		gstreamer010-fluendo-mp3 < %{version}
# SuSE-10.3/11.0 name
Provides:		gst-fluendo-mp3 = 2
Obsoletes:		gst-fluendo-mp3 < 2

%description
Fluendo GStreamer plug-in for mp3 support.

Author: Jan Schmidt <jan@fluendo.com>



%prep
%setup -q -n %{_name}-%{version}

%build
%configure \
	--with-liboil
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall

# Remove unneeded .la and .a files
%__rm -rf %{buildroot}%{_libdir}/gstreamer-%{gst_branch}/*.a
%__rm -rf %{buildroot}%{_libdir}/gstreamer-%{gst_branch}/*.la

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc README ChangeLog COPYING AUTHORS TODO LICENSE
%{_libdir}/gstreamer-%{gst_branch}/*.so

%changelog
* Sun Dec 11 2011 reddwarf@opensuse.org
- update to 0.10.16
* Sat Jul 31 2010 Toni Graffy <toni@links2linux.de>
- update to 0.10.14
* Wed Jan 14 2009 Toni Graffy <toni@links2linux.de>
- update to 0.10.10
* Fri Jul 11 2008 Toni Graffy <toni@links2linux.de>
- corrected Group
- added Provides: gst-fluendo-mp3 / Obsoletes: gst-fluendo-mp3
* Fri Apr 25 2008 Toni Graffy <toni@links2linux.de>
- changed package layout similar to openSuSE-11.0
* Tue Feb 26 2008 Toni Graffy <toni@links2linux.de>
- update to 0.10.7
* Fri Sep  7 2007 Toni Graffy <toni@links2linux.de>
- openSUSE-10.3 build: _prefix=/usr
* Fri May 26 2006 Toni Graffy <toni@links2linux.de>
- update to 0.10.6
* Wed Jan 25 2006 Toni Graffy <toni@links2linux.de>
- initial version 0.10.5
